package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel( description = "测试用例VO")
@Data
public class UseCaseVO {

    private String id;

    private String name;

    // 测试场景
    private String scenarioName;
    private ScenarioKEVO scenario;


    // 测试方法
    private String test_type;
    private MethodVo method;

    /**
     * 返回用例在矩阵中的坐标
     * @return
     */
    public String getCoordinates() {
        scenarioName = scenario.getName();
        test_type = method.getName();
        return scenarioName + test_type;
    }
}

